Home
Home
  1. Documents
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable widgets
    • Overview
    • Document upload widget
      • Designing an upload flow
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Uploading documents
    • Country-specific fields
    • Supported document types
  • API reference
    • Submissions
      • Reports
        • List available report templates
        • Download a report
      • Create new submission
      • Get submission
      • Update submission
      • Update submission status
      • Run a submission pre-flight check
      • Run business verification
      • Get submission checks
      • Delete submission
      • List submissions
    • Documents
      • Public documents API
        • List documents (public)
        • Upload document (public)
        • Get document (public)
        • Delete document (public)
        • Download document file (public)
        • Rerun validations (public)
      • List documents
        GET
      • Upload document
        POST
      • Get document
        GET
      • Delete document
        DELETE
      • Download document file
        GET
      • Rerun validations
        PUT
    • RPC search
      • RPC search
      • Get company with ID
      • Look up company by RFC
      • Search companies by name
      • Download RPC document
    • Utilities
      • Matcher
        • Run name matching
  1. Documents

Rerun validations

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
PUT
https://api.niva.co/v1
/submissions/{submission_id}/documents/{document_id}/run_validations
Runs the document's instant checks again, synchronously, e.g. after correcting validation_inputs[name], and returns the updated documents. document_id accepts the document ID (doc_…) or your external_id; external IDs need not be unique, so the response is always an array.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Header Params

Body Params application/json

Example
{
    "validation_inputs": {
        "name": "Juan Pérez",
        "entity_type": "person"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.niva.co/v1/submissions/sub_3ZMd9KJnvAdYt4mOyW7YQRAp/documents/doc_MAXm5v0B7kZVHorQL8YjV2y9/run_validations' \
--header 'Accept-Language: en' \
--header 'apiKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "validation_inputs": {
        "name": "Juan Pérez",
        "entity_type": "person"
    }
}'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
[
  {
    "id": "doc_MAXm5v0B7kZVHorQL8YjV2y9",
    "submission_id": "sub_3ZMd9KJnvAdYt4mOyW7YQRAp",
    "validation_status": "valid",
    "country_code": "mx",
    "document_type": "formation",
    "document_subtype": "acta_constitutiva",
    "uploaded_at": "2026-10-23T21:31:32.588Z",
    "validation_errors": [],
    "source": "user",
    "external_id": "acta-001",
    "document_name": null,
    "file": {
      "name": "acta_constitutiva.pdf",
      "byte_size": 482113
    },
    "data": {
      "business": {
        "entity_type": null,
        "legal_name": "Nueva Vista Alimentos S.A. de C.V.",
        "previous_legal_names": [],
        "merged_company_legal_names": [],
        "incorporation_date": null
      },
      "document": {
        "document_type": "acta_constitutiva",
        "date_of_deed": "2012-04-09",
        "boleta": {
          "is_present": true,
          "entry_number": "N-2012012345"
        }
      },
      "officers": null
    },
    "parent_document_id": null,
    "merged_documents": []
  }
]
🟠401Unauthorized
🟠404Not Found
🟠422Unprocessable Content
🔴500Internal Server Error
Previous
Download document file
Next
RPC search